incubator-jspwiki-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Harry Metske (Created) (JIRA)" <j...@apache.org>
Subject [jira] [Created] (JSPWIKI-719) provide plugin compatibility with pre 2.9 releases (patch PluginManager)
Date Sat, 28 Jan 2012 15:23:09 GMT
provide plugin compatibility with pre 2.9 releases (patch PluginManager)
------------------------------------------------------------------------

                 Key: JSPWIKI-719
                 URL: https://issues.apache.org/jira/browse/JSPWIKI-719
             Project: JSPWiki
          Issue Type: Improvement
          Components: Plugins
    Affects Versions: 2.9
         Environment: NA
            Reporter: Harry Metske
            Assignee: Harry Metske
            Priority: Minor
             Fix For: 2.9
         Attachments: JSPWiki-719.patch

JSPWiki 2.9 uses the new org.apache.wiki package names.

If you have a bunch of wiki pages with plugin invocations that include the old (com.ecyrd.jspwiki)
package name, this will now fail.
So for example : 


{noformat}
Index Page 

[{com.ecyrd.jspwiki.plugin.IndexPlugin}]

{noformat}


The suggestion is to patch the PluginManager to handle this by replacing the old package name
by the new one.
See attached patch.

What do you think ?

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message